org.deidentifier.arx.certificate

## Enum CertificateStyle.ListStyle

- java.lang.Object
- - java.lang.Enum<CertificateStyle.ListStyle>
  - - org.deidentifier.arx.certificate.CertificateStyle.ListStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CertificateStyle.ListStyle>

Enclosing class:
  CertificateStyle

    public static enum CertificateStyle.ListStyle
    extends java.lang.Enum<CertificateStyle.ListStyle>

Enum for list styles

Author:
  Fabian Prasser

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALPHABETICAL`
`ARABIC`
`BULLETS`
`LOWERCASE_ALPHABETICAL`
`ROMAN`

### Method Summary

All Methods Static Methods Concrete Methods
`static CertificateStyle.ListStyle` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CertificateStyle.ListStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ARABIC

    public static final CertificateStyle.ListStyle ARABIC

#### ROMAN

    public static final CertificateStyle.ListStyle ROMAN

#### ALPHABETICAL

    public static final CertificateStyle.ListStyle ALPHABETICAL

#### LOWERCASE_ALPHABETICAL

    public static final CertificateStyle.ListStyle LOWERCASE_ALPHABETICAL

#### BULLETS

    public static final CertificateStyle.ListStyle BULLETS

### Method Detail

#### values

    public static CertificateStyle.ListStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CertificateStyle.ListStyle c : CertificateStyle.ListStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CertificateStyle.ListStyle valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null